Summary:        Universal addresses to RPC program number mapper
Name:           rpcbind
Version:        1.2.6
Release:        4%{?dist}
License:        BSD
URL:            https://sourceforge.net/projects/rpcbind
Source0:        http://downloads.sourceforge.net/rpcbind/%{name}-%{version}.tar.bz2
Source1:        rpcbind.sysconfig

Patch3000:      rpcbind-0.2.3-systemd-tmpfiles.patch
Patch3001:      rpcbind-0.2.4-runstatdir.patch
Patch3002:      rpcbind-0.2.4-systemd-service.patch
Patch3003:      rpcbind-0.2.4-systemd-rundir.patch
Patch5000:      5000-rpcbind-1.2.6-add-envfile-to-systemd-service.patch

BuildRequires:  make automake autoconf libtool systemd systemd-devel
BuildRequires:  libtirpc-devel quota-devel
Requires:       glibc-common setup
Requires(pre):  coreutils shadow-utils
Requires(postun): coreutils
%{?systemd_requires}
Provides:       portmap = %{version}-%{release}

%description
The rpcbind utility is a server that converts RPC program numbers into
universal addresses. It must be running on the host to be able to make
RPC calls on a server on that machine.

%prep
%autosetup -p1

%build
autoreconf -fisv
%configure \
    --sbindir=%{_bindir} \
    --with-statedir="%{_rundir}/rpcbind" \
    --with-rpcuser="rpc" \
    --with-nss-modules="files altfiles" \
    --enable-warmstarts \
    --enable-rmtcalls \
    --enable-debug

%make_build all

%install
mkdir -p %{buildroot}%{_rundir}/rpcbind
mkdir -p %{buildroot}/etc/sysconfig
mkdir -p %{buildroot}%{_sbindir}

%make_install
install -m644 %{SOURCE1} %{buildroot}/etc/sysconfig/rpcbind

pushd %{buildroot}%{_sbindir}
ln -sf ../bin/rpcbind
ln -sf ../bin/rpcinfo
popd

%pre
getent group rpc >/dev/null || groupadd -f -g 32 -r rpc
if ! getent passwd rpc >/dev/null ; then
	if ! getent passwd 32 >/dev/null ; then
	   useradd -l -c "Rpcbind Daemon" -d /var/lib/rpcbind  \
	      -g rpc -M -s /sbin/nologin -o -u 32 rpc > /dev/null 2>&1
	else
	   useradd -l -c "Rpcbind Daemon" -d /var/lib/rpcbind  \
	      -g rpc -M -s /sbin/nologin rpc > /dev/null 2>&1
	fi
fi

%post
%systemd_post rpcbind.service rpcbind.socket

%preun
%systemd_preun rpcbind.service rpcbind.socket

%postun
%systemd_postun_with_restart rpcbind.service rpcbind.socket

%triggerin -- rpcbind > 0.2.2-2.0
if systemctl -q is-enabled rpcbind.socket
then
	/bin/systemctl reenable rpcbind.socket  >/dev/null 2>&1 || :
	/bin/systemctl restart rpcbind.socket >/dev/null 2>&1 || :
fi

%files
%license COPYING
%doc AUTHORS ChangeLog README
%attr(0700,rpc,rpc) %dir %{_rundir}/rpcbind
%config(noreplace) /etc/sysconfig/rpcbind
%{_unitdir}/%{name}.service
%{_unitdir}/%{name}.socket
%{_tmpfilesdir}/%{name}.conf
%{_bindir}/rpcbind
%{_bindir}/rpcinfo
%{_sbindir}/rpcbind
%{_sbindir}/rpcinfo
%{_mandir}/man8/*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.6-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.6-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.6-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Jul 4 2022 Xiaojie Chen <jackxjchen@tencent.com> - 1.2.6-1
- Initial build
